package com.ruoyi.device.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 设备基础信息对象 device_base_info
 * 
 * @author ruoyi
 * @date 2025-05-19
 */
public class BaseInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long objId;

    /** 设备编码 */
    @Excel(name = "设备编码")
    private String deviceCode;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String deviceName;

    /** 设备类型 */
    @Excel(name = "设备类型")
    private Long deviceType;

    /** 使用状态 */
    @Excel(name = "使用状态")
    private String useState;

    /** 设备状态 */
    @Excel(name = "设备状态")
    private String deviceState;

    /** 摆放桩位 */
    @Excel(name = "摆放桩位")
    private String locationName;

    /** 开锁密码 */
    @Excel(name = "开锁密码")
    private String openPassword;
    private String typeName;
    private Double defaultPrice;

    /** 默认使用时间 */
    @Excel(name = "默认使用时间")
    private Double defaultTime;


    public Double getDefaultPrice() {
        return defaultPrice;
    }

    public void setDefaultPrice(Double defaultPrice) {
        this.defaultPrice = defaultPrice;
    }

    public Double getDefaultTime() {
        return defaultTime;
    }

    public void setDefaultTime(Double defaultTime) {
        this.defaultTime = defaultTime;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public void setObjId(Long objId)
    {
        this.objId = objId;
    }

    public Long getObjId() 
    {
        return objId;
    }

    public void setDeviceCode(String deviceCode) 
    {
        this.deviceCode = deviceCode;
    }

    public String getDeviceCode() 
    {
        return deviceCode;
    }

    public void setDeviceName(String deviceName) 
    {
        this.deviceName = deviceName;
    }

    public String getDeviceName() 
    {
        return deviceName;
    }

    public void setDeviceType(Long deviceType) 
    {
        this.deviceType = deviceType;
    }

    public Long getDeviceType() 
    {
        return deviceType;
    }

    public void setUseState(String useState) 
    {
        this.useState = useState;
    }

    public String getUseState() 
    {
        return useState;
    }

    public void setDeviceState(String deviceState) 
    {
        this.deviceState = deviceState;
    }

    public String getDeviceState() 
    {
        return deviceState;
    }

    public void setLocationName(String locationName) 
    {
        this.locationName = locationName;
    }

    public String getLocationName() 
    {
        return locationName;
    }

    public void setOpenPassword(String openPassword) 
    {
        this.openPassword = openPassword;
    }

    public String getOpenPassword() 
    {
        return openPassword;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objId", getObjId())
            .append("deviceCode", getDeviceCode())
            .append("deviceName", getDeviceName())
            .append("deviceType", getDeviceType())
            .append("useState", getUseState())
            .append("deviceState", getDeviceState())
            .append("locationName", getLocationName())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("openPassword", getOpenPassword())
            .toString();
    }
}
